Subject: [bug#77833] Xapian cache/search proof of concept

From: Noé Lopez <[email-masked]>
Date: Mon, 28 Apr 2025 10:43:53 +0200

Gabriel Santos <[email-masked]> writes:

>>First issue I can point out though, your channel introduction has a
>>mistake:
>>
>>>/home/noe/src/guix-xsearch
>>
>>Should be:
>>
>>>https://codeberg.org/Baleine/guix-xsearch
>
> Just tried to pull, you're missing the "keyring" branch[1].
>
> You just have to export the keys used there.
>
> [1] <https://guix.gnu.org/manual/en/html_node/Specifying-Channel-Authorizations.html>
>
> -- 
> Gabriel Santos

Woops! I forgot to push that branch, well couldn’t notice directly since
I was mistakenly using my local repository.

It’s fixed now, here’s the new channel spec for reference:
(channel
 (name 'guix-xsearch)
 (url "https://codeberg.org/baleine/guix-xsearch")
 (introduction
  (make-channel-introduction
   "8035a2599cb94fca558e518c8e592cae646f5966"
   (openpgp-fingerprint
    "5D54 CF25 57B2 38E8 8DC1 80A2 2D22 3241 0AB7 4043"))))

Thanks for the report,
Noé